<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Improved Layered Navigation MFTF 3 for Magento 2 (System)
 */

namespace Amasty\ShopbyMFTF3\Model\ResourceModel;

use Magento\Framework\Exception\LocalizedException;
use Magento\Framework\Model\AbstractModel;
use Magento\Framework\Model\ResourceModel\Db\AbstractDb;

class FilterAnalyticTmp extends AbstractDb
{
    public function __construct(
        \Magento\Framework\Model\ResourceModel\Db\Context $context,
                                                          $connectionName = null
    )
    {
        parent::__construct($context, $connectionName);
    }

    protected function _construct()
    {
        $this->_init('amasty_shopbyfilteranalytics_tmp', 'filter_session');
    }

    protected function _beforeSave(\Magento\Framework\Model\AbstractModel $object)
    {
        return parent::_beforeSave($object);
    }


    /**
     * Save Customer Group IDs Related to Attribute
     *
     * @param AbstractModel $object
     * @throws LocalizedException
     */
    protected function updateObject(AbstractModel $object): void
    {
        $connection = $this->getConnection();
        $condition = [
            'option_id =?' => $object->getOptionId(),
            'filter_session =?' => $object->getFilterSession()
        ];

        $data = $this->prepareDataForUpdate($object);
        if (!empty($data)) {
            $connection->update($this->getMainTable(), $data, $condition);
        }
    }

}
